Bug 1251602 - REMAKE_INITRD causes old initiramfs images to be left in /boot
REMAKE_INITRD causes old initiramfs images to be left in /boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 17:18 EDT by Dominique Brazziel
Modified: 2016-08-18 14:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:24:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominique Brazziel 2015-08-07 17:18:26 EDT
Description of problem:
After a module with 'REMAKE_INITRD' in 'dkms.conf' is built the old
initramfs image is stored with suffix 'old-dkms' and is never erased
even after the module is removed from the old kernel tree.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
kernel-install only keeps 3 kernels, but here I had:

 initramfs-3.18.9-100.fc20.x86_64.img.old-dkms	file	0600	121	19808579	2015-04-01 16:38:50
   initramfs-3.19.2-201.fc21.x86_64.img.old-dkms	file	0644	121	21260873	2015-04-27 18:14:17
   initramfs-3.19.3-200.fc21.x86_64.img.old-dkms	file	0644	121	21265628	2015-05-13 18:01:14
   initramfs-3.19.5-200.fc21.x86_64.img.old-dkms	file	0644	121	21279704	2015-06-01 19:21:10
   initramfs-3.19.7-200.fc21.x86_64.img.old-dkms	file	0644	121	21273159	2015-06-13 19:30:35
   initramfs-4.0.4-202.fc21.x86_64.img.old-dkms	file	0644	121	21385526	2015-06-29 18:40:30
   initramfs-4.0.4-303.fc22.x86_64.img.old-dkms	file	0644	121	21445230	2015-07-11 22:27:29
   initramfs-4.0.5-300.fc22.x86_64.img.old-dkms	file	0644	121	21451761	2015-07-18 15:46:48
   initramfs-4.0.6-300.fc22.x86_64.img.old-dkms	file	0644	121	21493942	2015-07-29 16:11:40
   initramfs-4.0.7-300.fc22.x86_64.img.old-dkms	file	0644	121	21495551	2015-07-31 19:51:46
   initramfs-4.0.8-300.fc22.x86_64.img	file	0644	121	21501300	2015-07-18 15:50:47
   initramfs-4.0.8-300.fc22.x86_64.img.old-dkms	file	0644	121	21501766	2015-07-18 15:50:07
   initramfs-4.1.2-200.fc22.x86_64.img	file	0644	121	21526382	2015-07-29 17:32:26
   initramfs-4.1.2-200.fc22.x86_64.img.old-dkms	file	0644	121	21526888	2015-07-29 17:31:47
   initramfs-4.1.3-200.fc22.x86_64.img	file	0644	121	21516377	2015-07-31 19:55:36
   initramfs-4.1.3-200.fc22.x86_64.img.old-dkms
Comment 1 Dominique Brazziel 2016-03-12 10:53:11 EST
This is still happening on Fedora 23.  The problem recently caused the boot partition to fill up and new kernel installation failed because no space was left.
Comment 2 Simone Caronni 2016-05-24 03:50:51 EDT
Sorry for the late reply. I'm discussing it with the new DKMS mantainers.
Comment 3 Fedora End Of Life 2016-07-19 13:24:48 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Dominique Brazziel 2016-08-18 14:54:26 EDT
Still happening in Fedora 24.

Note You need to log in before you can comment on or make changes to this bug.